package vn.azteam.tpf.service.dto;

import java.io.Serializable;
import java.time.Instant;
import java.util.List;
import java.util.Objects;

/**
 * A DTO for the TBActivity entity.
 */
public class ActivityObjectUpdateDTO implements Serializable {
    private Long activityId;

    private Instant executeDate;

    private Long cropId;

    private Long cropRate;

    private String description;

    private List<String> media_del;

    private List<ActivityObjectUpdateDetailDTO> objectUpdateDetail;

    public Long getActivityId() {
        return activityId;
    }

    public void setActivityId(Long activityId) {
        this.activityId = activityId;
    }

    public Instant getExecuteDate() {
        return executeDate;
    }

    public void setExecuteDate(Instant executeDate) {
        this.executeDate = executeDate;
    }

    public Long getCropId() {
        return cropId;
    }

    public void setCropId(Long cropId) {
        this.cropId = cropId;
    }

    public Long getCropRate() {
        return cropRate;
    }

    public void setCropRate(Long cropRate) {
        this.cropRate = cropRate;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public List<ActivityObjectUpdateDetailDTO> getObjectUpdateDetail() {
        return objectUpdateDetail;
    }

    public void setObjectUpdateDetail(List<ActivityObjectUpdateDetailDTO> objectUpdateDetail) {
        this.objectUpdateDetail = objectUpdateDetail;
    }
    public List<String> getMedia_del() {
        return media_del;
    }

    public void setMedia_del(List<String> media_del) {
        this.media_del = media_del;
    }
}
